- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# complement.hh File Reference

Complementation algorithm for Boolean automata. More...

Include dependency graph for complement.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Functions
template<typename A, typename T>
void | complement_here (Element< A, T > &a)
| Complement in place the set of final states.
template<typename A, typename T>
Element< A, T > | complement (const Element< A, T > &a)
| Complement the set of final states.

## Detailed Description

Complementation algorithm for Boolean automata.

See also:
  complement(), complement_here()

Definition in file complement.hh.